import { PORT_NONE } from "@/api/config/servicePort";
import http from "@/api";

/**
 * 用户相关接口
 */

// 获取黑名单列表
export const getBlacklist = () => {
  return http.get(PORT_NONE + `/user/getBlacklist`);
};

// 解除拉黑用户
export const unblockUser = (params: { userId: number }) => {
  return http.post(PORT_NONE + `/user/unblockUser`, params);
};

// 拉黑用户
export const blockUser = (params: { userId: number }) => {
  return http.post(PORT_NONE + `/user/blockUser`, params);
};
